# API Chứng thực

<details>

<summary>Đặc tả API</summary>

* URL: \<API\_GATEWAY>/api/partnership/v1/login
* Method: POST
* Mô tả: API Chứng thực cho Booker và PreBooker
* Yêu cầu bảo mật: [API Key](https://developer.gotadi.com/dev-guide/agent-partner/api-security/#api-key) và [Chữ ký điện tử](https://developer.gotadi.com/dev-guide/agent-partner/api-security/#chu-ky-ien-tu-signature)

</details>

<details>

<summary>Request</summary>

Signature data schema

ACCESSCODE|agencyInfo.partnerRefCode|userInfo.partnerRefCode|userInfo.email|userInfo.phoneNumber

Example:

```json
{
    "agencyInfo": {
        "partnerRefCode": "CHI_NHANH_123",
        "fullName": "Chi nhanh Sai Gon",
        "shortName": "Cty X, Chi nhanh Sai Gon",
        "taxCode": "123456",
        "faxNumber": "123456",
        "phoneNumber": "0123456789",
        "address": "194 Nguyen Thi Minh Khai, Phuong 17, Quan Phu Nhuan",
        "email": "user_y@partner_x.com",
        "representativeName": "Nguyen Van A",
        "representativePhone": "0123456789",
        "representativeEmail": "user_y@partner_x.com",
        "extends": {
            "key": "value",
            "key1": "value1"
        }
    },
    "userInfo": {
        "partnerRefCode": "USER_123",
        "firstName": "Nguyen",
        "lastName": "Van A",
        "address": "194 Nguyen Thi Minh Khai, Phuong 17, Quan Phu Nhuan",
        "email": "user_y@partner_x.com",
        "phoneNumber": "0932909474",
        "roles": [
            "BOOKER", "PRE_BOOKER"
        ],
        "extends": {
            "key": "value",
            "key1": "value1"
        }
    },
    "signature": "..."
}
```

</details>

<details>

<summary>Response</summary>

#### Example

```json
{
    "url": "https://uat-v2-vendor.gotadi.com/?merchant_code=A::1_29001&access_token=...",
    "signature": "...",
    "errorCode": "00"
}
```

</details>

<details>

<summary>HTTP Code</summary>

* &#x20;400: Bad Request
* 401: Unauthorized
* 403: Forbidden
* 404: Not Found
* 500: Unknown Internal Error
* 503: Service Unavailable

</details>

[PreviousQui trình tích hợp](https://developer.gotadi.com/dev-guide/agent-partner/integration-process/)[NextYêu cầu bảo mật](https://developer.gotadi.com/dev-guide/agent-partner/api-security/)Made with [Material for MkDocs](https://squidfunk.github.io/mkdocs-material/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.gotadi.com/vietnamese/doi-tac-corporate-agent-ca/api-chung-thuc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
